Package io.dapr.v1

# Class DaprProtos.SubscribeConfigurationRequest

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
io.dapr.v1.DaprProtos.SubscribeConfigurationRequest

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.SubscribeConfigurationRequestOrBuilder`, `Serializable`

Enclosing class:
  DaprProtos

public static final class DaprProtos.SubscribeConfigurationRequest extends com.google.protobuf.GeneratedMessageV3 implements DaprProtos.SubscribeConfigurationRequestOrBuilder

     SubscribeConfigurationRequest is the message to get a list of key-value configuration from specified configuration store.

Protobuf type `dapr.proto.runtime.v1.SubscribeConfigurationRequest`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DaprProtos.SubscribeConfigurationRequest.Builder`
SubscribeConfigurationRequest is the message to get a list of key-value configuration from specified configuration store.

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`KEYS_FIELD_NUMBER`
`static final int`
`METADATA_FIELD_NUMBER`
`static final int`
`STORE_NAME_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsMetadata(String key)`
The metadata which will be sent to configuration store components.
`boolean`
`equals(Object obj)`
`static DaprProtos.SubscribeConfigurationRequest`
`getDefaultInstance()`
`DaprProtos.SubscribeConfigurationRequest`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`String`
`getKeys(int index)`
Optional.
`com.google.protobuf.ByteString`
`getKeysBytes(int index)`
Optional.
`int`
`getKeysCount()`
Optional.
`com.google.protobuf.ProtocolStringList`
`getKeysList()`
Optional.
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
The metadata which will be sent to configuration store components.
`Map<String,String>`
`getMetadataMap()`
The metadata which will be sent to configuration store components.
`String`
`getMetadataOrDefault(String key, String defaultValue)`
The metadata which will be sent to configuration store components.
`String`
`getMetadataOrThrow(String key)`
The metadata which will be sent to configuration store components.
`com.google.protobuf.Parser<DaprProtos.SubscribeConfigurationRequest>`
`getParserForType()`
`int`
`getSerializedSize()`
`String`
`getStoreName()`
The name of configuration store.
`com.google.protobuf.ByteString`
`getStoreNameBytes()`
The name of configuration store.
`int`
`hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapFieldReflectionAccessor`
`internalGetMapFieldReflection(int number)`
`final boolean`
`isInitialized()`
`static DaprProtos.SubscribeConfigurationRequest.Builder`
`newBuilder()`
`static DaprProtos.SubscribeConfigurationRequest.Builder`
`newBuilder(DaprProtos.SubscribeConfigurationRequest prototype)`
`DaprProtos.SubscribeConfigurationRequest.Builder`
`newBuilderForType()`
`protected DaprProtos.SubscribeConfigurationRequest.Builder`
`newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object`
`newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprProtos.SubscribeConfigurationRequest`
`parseDelimitedFrom(InputStream input)`
`static DaprProtos.SubscribeConfigurationRequest`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.SubscribeConfigurationRequest`
`parseFrom(byte[] data)`
`static DaprProtos.SubscribeConfigurationRequest`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.SubscribeConfigurationRequest`
`parseFrom(com.google.protobuf.ByteString data)`
`static DaprProtos.SubscribeConfigurationRequest`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.SubscribeConfigurationRequest`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.SubscribeConfigurationRequest`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.SubscribeConfigurationRequest`
`parseFrom(InputStream input)`
`static DaprProtos.SubscribeConfigurationRequest`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.SubscribeConfigurationRequest`
`parseFrom(ByteBuffer data)`
`static DaprProtos.SubscribeConfigurationRequest`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprProtos.SubscribeConfigurationRequest>`
`parser()`
`DaprProtos.SubscribeConfigurationRequest.Builder`
`toBuilder()`
`void`
`writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### STORE_NAME_FIELD_NUMBER

public static final int STORE_NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### KEYS_FIELD_NUMBER

public static final int KEYS_FIELD_NUMBER

See Also:
  - Constant Field Values

### METADATA_FIELD_NUMBER

public static final int METADATA_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### newInstance

protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetMapFieldReflection

protected com.google.protobuf.MapFieldReflectionAccessor internalGetMapFieldReflection(int number)

Overrides:
  `internalGetMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3`

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getStoreName

public String getStoreName()

     The name of configuration store.

`string store_name = 1;`

Specified by:
  `getStoreName` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`
Returns:
  The storeName.

### getStoreNameBytes

public com.google.protobuf.ByteString getStoreNameBytes()

     The name of configuration store.

`string store_name = 1;`

Specified by:
  `getStoreNameBytes` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`
Returns:
  The bytes for storeName.

### getKeysList

public com.google.protobuf.ProtocolStringList getKeysList()

     Optional. The key of the configuration item to fetch.
     If set, only query for the specified configuration items.
     Empty list means fetch all.

`repeated string keys = 2;`

Specified by:
  `getKeysList` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`
Returns:
  A list containing the keys.

### getKeysCount

public int getKeysCount()

     Optional. The key of the configuration item to fetch.
     If set, only query for the specified configuration items.
     Empty list means fetch all.

`repeated string keys = 2;`

Specified by:
  `getKeysCount` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`
Returns:
  The count of keys.

### getKeys

public String getKeys(int index)

     Optional. The key of the configuration item to fetch.
     If set, only query for the specified configuration items.
     Empty list means fetch all.

`repeated string keys = 2;`

Specified by:
  `getKeys` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The keys at the given index.

### getKeysBytes

public com.google.protobuf.ByteString getKeysBytes(int index)

     Optional. The key of the configuration item to fetch.
     If set, only query for the specified configuration items.
     Empty list means fetch all.

`repeated string keys = 2;`

Specified by:
  `getKeysBytes` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the keys at the given index.

### getMetadataCount

public int getMetadataCount()
Description copied from interface: `DaprProtos.SubscribeConfigurationRequestOrBuilder`

     The metadata which will be sent to configuration store components.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataCount` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`

### containsMetadata

public boolean containsMetadata(String key)

     The metadata which will be sent to configuration store components.

`map<string, string> metadata = 3;`

Specified by:
  `containsMetadata` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`

### getMetadata

@Deprecated public Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`

### getMetadataMap

public Map<String,String> getMetadataMap()

     The metadata which will be sent to configuration store components.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataMap` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`

### getMetadataOrDefault

public String getMetadataOrDefault(String key, String defaultValue)

     The metadata which will be sent to configuration store components.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataOrDefault` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`

### getMetadataOrThrow

public String getMetadataOrThrow(String key)

     The metadata which will be sent to configuration store components.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataOrThrow` in interface `DaprProtos.SubscribeConfigurationRequestOrBuilder`

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static DaprProtos.SubscribeConfigurationRequest parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.SubscribeConfigurationRequest parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.SubscribeConfigurationRequest parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.SubscribeConfigurationRequest parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.SubscribeConfigurationRequest parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.SubscribeConfigurationRequest parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.SubscribeConfigurationRequest parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.SubscribeConfigurationRequest parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DaprProtos.SubscribeConfigurationRequest parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DaprProtos.SubscribeConfigurationRequest parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.SubscribeConfigurationRequest parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.SubscribeConfigurationRequest parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public DaprProtos.SubscribeConfigurationRequest.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static DaprProtos.SubscribeConfigurationRequest.Builder newBuilder()

### newBuilder

public static DaprProtos.SubscribeConfigurationRequest.Builder newBuilder(DaprProtos.SubscribeConfigurationRequest prototype)

### toBuilder

public DaprProtos.SubscribeConfigurationRequest.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected DaprProtos.SubscribeConfigurationRequest.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static DaprProtos.SubscribeConfigurationRequest getDefaultInstance()

### parser

public static com.google.protobuf.Parser<DaprProtos.SubscribeConfigurationRequest> parser()

### getParserForType

public com.google.protobuf.Parser<DaprProtos.SubscribeConfigurationRequest> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public DaprProtos.SubscribeConfigurationRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`